View Issue Details

IDProjectCategoryView StatusLast Update
0005590GNUnetwebpagepublic2019-02-28 11:17
ReporterMarcello StanisciAssigned ToChristian Grothoff 
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
Product VersionSVN HEAD 
Target Version0.11.0Fixed in Version0.11.0 
Summary0005590: Bad redirection for bugs.gnunet.org
DescriptionWhenever I try to access bugs.gnunet.org, I get redirected on gnunet.org. If then I try to reaccess bugs.gnunet.org, it gets me there.
Steps To Reproduce1 Clear cache/cookies
2 Type bugs.gnunet.org in your browser's address bar
3 See the unexpected redirection
4 Type again bugs.gnunet.org in your browser's address bar
5 Works
Additional InformationI attach the screenshots witnessing this.
TagsNo tags attached.

Activities

Marcello Stanisci

2019-02-19 21:14

developer  

redir1.png (219,049 bytes)
redir1.png (219,049 bytes)
redir2.png (206,948 bytes)
redir2.png (206,948 bytes)

dvn

2019-02-20 01:27

developer   ~0013889

this makes me think that all http (80) traffic going to *.gnunet.org is being redirected to https://gnunet.org (443).

I'll take a look at what I have privilege to see on sam.gnunet.org.

Marcello Stanisci

2019-02-20 09:17

developer   ~0013894

I just tried with http://IRC.gnunet.org and the same thing happens.

Christian Grothoff

2019-02-20 10:31

manager   ~0013896

Should be fixed now.

Issue History

Date Modified Username Field Change
2019-02-19 21:14 Marcello Stanisci New Issue
2019-02-19 21:14 Marcello Stanisci File Added: redir1.png
2019-02-19 21:14 Marcello Stanisci File Added: redir2.png
2019-02-20 01:27 dvn Note Added: 0013889
2019-02-20 09:17 Marcello Stanisci Note Added: 0013894
2019-02-20 10:31 Christian Grothoff Assigned To => Christian Grothoff
2019-02-20 10:31 Christian Grothoff Status new => resolved
2019-02-20 10:31 Christian Grothoff Resolution open => fixed
2019-02-20 10:31 Christian Grothoff Fixed in Version => 0.11.0
2019-02-20 10:31 Christian Grothoff Note Added: 0013896
2019-02-20 10:31 Christian Grothoff Product Version => SVN HEAD
2019-02-20 10:31 Christian Grothoff Target Version => 0.11.0
2019-02-28 11:17 Christian Grothoff Status resolved => closed